.servicios-section {
    padding: 64px 0px;
    display: flex;
    justify-content: center;
}

.servicios-container {
    max-width: 1200px;
    width: 100%;
    display: flex;
    gap: 64px;
    align-items: end;
}

.servicios-content {
    flex: 1;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    gap: 24px;
    max-width: 450px;
}

.servicios-content h2 {
    font-weight: 700;
    color: var(--midNight-900);
    line-height: 1.1;
}

.servicios-content p {
    font-size: var(--subtitle-size);
    color: var(--midNight-500);
    line-height: 1.5;
}

.servicios-actions {
    display: flex;
    gap: 16px;
    flex-wrap: wrap;
}

.servicios-grid {
    flex: 1;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 16px;
    align-content: center;
}

.servicio-card {
    background-color: var(--midNight-50);
    padding: 24px;
    border-radius: 12px;
    display: flex;
    flex-direction: column;
    gap: 16px;
    transition: transform 0.3s ease;
}

.servicio-card:hover {
    transform: translateY(-4px);
}

.servicio-card i {
    font-size: 40px;
    color: var(--midNight-500);
}

.servicio-card h3 {
    font-size: 20px;
    font-weight: 600;
    color: var(--midNight-900);
    line-height: 1.3;
}

/* --- Responsive Layout --- */
@media (max-width: 1150px) {
    .servicios-container {
        flex-direction: column;
        align-items: flex-start;
        gap: 48px;
    }

    .servicios-content {
        max-width: 100%;
        align-items: flex-start;
        text-align: left;
    }

    .servicios-actions {
        justify-content: flex-start;
    }

    .servicios-grid {
        width: 100%;
    }
}

@media (max-width: 768px) {
    .servicios-section {
        padding: 0;
    }

    .servicios-container {
        gap: 24px;
    }

    .servicios-grid {
        grid-template-columns: 1fr;
        gap: 12px;
    }


    /* Diseño de tarjetas en móvil */
    .servicio-card {
        flex-direction: row;
        align-items: center;
        text-align: left;
        padding: 24px;
        gap: 8px;
    }

    .servicio-card i {
        font-size: 32px;
        flex-shrink: 0;
    }

    .servicio-card h3 {
        font-size: 17px;
        margin: 0;
    }
}